<ng-container *ngIf='!corsIssues else cors'>
  <h3 class="block-title">
    <div class="text" (click)="toggle()">{{ blockTitle }}</div>
    <div class="chevron" [ngClass]="{'down':!expand}" (click)="toggle()">
      <ng-miam-icon height='32' width='32'  [iconName]="icon.ChevronDown"></ng-miam-icon>
    </div>
  </h3>

  <div class="pos-selection" *ngIf="expand">
    <ng-miam-pos-card *ngIf="selectedPos && !replacing" [pos]="selectedPos" [selected]="true"
      hoverText="Changer de magasin" (select)="startReplace()"></ng-miam-pos-card>

    <div *ngIf="replacing">
      <div class="subtitle">
        <h4>Rechercher un magasin près de chez moi :</h4>
        <div><button class="m-button-grey" *ngIf="selectedPos" (click)="endReplace()">Annuler</button></div>
      </div>

      <div class="search">
        <div class="input-frame">
          <input id="address-input" type="text" [(ngModel)]="address"
            placeholder="Entrez votre code postal ou votre adresse..." (click)="$event.target.select()">
        </div>
        <button class="address-button m-button-secondary" (click)="searchAddress()">
          <ng-miam-icon  [iconName]="icon.Search" primaryColor="var(--m-color-secondary)"></ng-miam-icon>
        </button>
      </div>

      <div *ngIf="candidatePos && candidatePos.length === 0 else found" class="not-found">
        <p><b [innerHTML]="sorryCaption"></b></p>
        <p>Veuillez entrez une autre adresse ou un autre code postal.</p>
      </div>
      <ng-template #found>
        <ng-miam-pos-card *ngFor="let pos of candidatePos" [pos]="pos" hoverText="Choisir ce magasin"
          (select)="replace($event)">
        </ng-miam-pos-card>
      </ng-template>

      <div class="loader-container" *ngIf="loading">
        <ng-miam-loader></ng-miam-loader>
        <div>Recherche des magasins...</div>
      </div>
    </div>
  </div>
</ng-container>
<ng-template #cors>
  <ng-miam-cors-overlay></ng-miam-cors-overlay>
</ng-template>